package io.gitlab.jfronny.breakme.config;

import io.gitlab.jfronny.breakme.BreakMe;
import me.shedaniel.autoconfig.ConfigData;
import me.shedaniel.autoconfig.annotation.Config;
import me.shedaniel.autoconfig.annotation.ConfigEntry.Gui.EnumHandler;
import me.shedaniel.cloth.clothconfig.shadowed.blue.endless.jankson.Comment;

@Config(name = BreakMe.MOD_ID)
public class Cfg implements ConfigData {
    @Comment("What should cause a crash")
    @EnumHandler(option = EnumHandler.EnumDisplayOption.BUTTON)
    public CrashCause event = CrashCause.Death;
    @Comment("The method used to perform the crash")
    @CrashMethod
    public String method = "Safe_Universal_Exception";
}
